Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/27622/?format=api
{ "ob_id": 27622, "uuid": "bbdfd09a04304158b366777eba0d2aeb", "title": "High resolution Standardized Precipitation Evapotranspiration Index (SPEI) dataset for Africa", "abstract": "This dataset consists of high spatial resolution Standardized Precipitation-Evapotranspiration Index (SPEI) drought dataset over the whole Africa at different time scales from 1 month to 48 months. It is calculated based on precipitation estimates from the satellite-based Climate Hazards group InfraRed Precipitation with Station data (CHIRPS) and potential evaporation estimates by the Global Land Evaporation Amsterdam Model (GLEAM). \r\n\r\nThe SPEI dataset covers the whole of the African continent for a 36-year-long period (1981–2016) at a horizontal resolution of 5 km (0.05 deg) and a monthly time resolution. The dataset is provided in NetCDF format with in a Geographic Lat/Lon projection. Due to the lower reliability of SPEI over areas with low hydro-climatic variability, the areas with barren or sparsely vegetated areas in Africa were masked out based on data from the Moderate Resolution Imaging Spectroradiometer (MODIS) land surface type product (MCD12Q1).", "keywords": "SPEI, Africa, UK Space Agency, drought", "publicationState": "citable", "dataPublishedTime": "2019-08-05T12:32:10", "doiPublishedTime": "2019-08-05T12:33:20", "updateFrequency": "notPlanned", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/27623/?format=api", "dataPath": "/neodc/spei_africa/data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 42492415387, "numberOfFiles": 50, "fileFormat": "Data are netCDF formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/7401/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2409/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50512/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52664/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52665/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/60893/?format=api" ], "dataLineage": "The dataset was produced based on UK Space Agency's International Partnership Programme (417000001429) and delivered for archiving at the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/10540/?format=api" ], "projects": [], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115444/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115450/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115446/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115447/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115448/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115449/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115451/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115445/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168887/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115452/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115453/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115454/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115455/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115456/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115457/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/115458/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/27625/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }